fig62 <- function(post=F)
{
if(post)
  {#ps.options (colors=ps.colors.rgb[c("blue", "magenta", "cyan",
   #"green", "MediumBlue", "red", "black", "yellow", "blue"),])
    postscript("Fig62.ps", width=4.4, height=3, horizontal=F, pointsize=8)
  }
 else {if(dev.cur()==1) motif(); par(ask=T)}

 par(mfrow = c(1, 1),mar=c(5,3,3,1)+0.1)
 par(mex=0.5,csi=0.11)

 SP500 <- matrix(scan("../datasets/SP500",skip=15),ncol=5,byrow=T)
 SP500 <- as.numeric(rev(SP500[,5]))            #closing prices
 SP500 <- SP500[6824:length(SP500)]  		#snap shot
 tsplot(SP500,ylim=c(1200,1500), type="n")

 h <- 20
 polygon(c(50-h, 50+h, 50+h, 50-h, 50-h), c(1350, 1350, 1225,1225, 1350), col=4)
 lines(c(50,50),c(1225, 1350), lty=2)
 polygon(c(80-h, 80+h, 80+h, 80-h, 80-h), c(1400, 1400, 1275,1275, 1400), col=4)
 lines(c(80,80),c(1275, 1400), lty=2)
 polygon(c(200-h, 200+h, 200+h, 200-h, 200-h), c(1375, 1375, 1250, 1250, 1375),
 	col=4)
 lines(c(200,200),c(1250, 1375), lty=2)

 lines(SP500)
 lines(ma(SP500,10),lwd=2)
 lines(ma(SP500,20),lwd=2,lty=3)

 title("Moving averages of S&P500 index")
}
